# Contributor Guide

Welcome to the Gutenberg Project Contributor Guide. This guide is here to help you get setup and start contributing to the project. If you have any questions, you'll find us in the #core-editor channel in the WordPress Core Slack, [free to join](https://make.wordpress.org/chat/).

Gutenberg is a sub-project of Core WordPress. Please see the [Core Contributor Handbook](https://make.wordpress.org/core/handbook/) for additional information.

## Sections

Find the section below based on what you are looking to contribute:

- **Code?** See the [developer section](/docs/contributors/develop.md).

- **Design?** See the [design section](/docs/contributors/design.md).

- **Documentation?** See the [documentation section](/docs/contributors/document.md)

- **Triage Support?** See the [triaging issues section](/docs/contributors/triage.md)

- **Internationalization?** See the [localizing and translating section](/docs/contributors/localizing.md)

### Repository Management

The Gutenberg project uses Github for managing code and tracking issues. Please see the following sections for the project methodologies using Github.

- [Issue Management](/docs/contributors/repository-management.md#issues)

- [Pull Requests](/docs/contributors/repository-management.md#pull-requests)

- [Teams and Projects](/docs/contributors/repository-management.md#teams)

## Guidelines

See the [Contributing Guidelines](https://github.com/WordPress/gutenberg/blob/master/CONTRIBUTING.md) for the rules around contributing: This includes the code of conduct and licensing information.
